PETSc version 3.15.5
Fix/Edit manual page

# DMGetCoordinatesLocal

Gets a local vector with the coordinates associated with the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetCoordinatesLocal(DM dm, Vec *c)

Collective on dm

### Input Parameter

| dm | - the DM

### Output Parameter

| c | - coordinate vector

### Note

This is a borrowed reference, so the user should NOT destroy this vector

Each process has the local and ghost coordinates

For DMDA, in two and three dimensions coordinates are interlaced (x_0,y_0,x_1,y_1,...) and (x_0,y_0,z_0,x_1,y_1,z_1...)

### See Also

DMSetCoordinatesLocal(), DMGetCoordinates(), DMSetCoordinates(), DMGetCoordinateDM(), DMGetCoordinatesLocalNoncollective()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex4.c.html
src/dm/tutorials/ex3.c.html
src/dm/tutorials/ex13f90.F90.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex69.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex71.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages